AI
List AI feedback corrections for an agent
GET
/
v1
/
ai
/
agents
/
{agentID}
/
feedback
List AI feedback corrections for an agent
curl --request GET \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/feedbackconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/feedback"
response = requests.get(url)
print(response.text)[
{
"agent_id": "<string>",
"applied": true,
"context_snapshot": {},
"conversation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"human_correction": "<string>",
"id": "<string>",
"improvement_score": 123,
"organization_id": "<string>",
"original_response": "<string>",
"reviewed": true,
"run_id": "<string>",
"applied_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"reviewed_by": "<string>"
}
]{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Response
object[] | null
OK
Show child attributes
Show child attributes
⌘I
List AI feedback corrections for an agent
curl --request GET \
--url https://api.wazapin.com/v1/ai/agents/{agentID}/feedbackconst options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/ai/agents/{agentID}/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/ai/agents/{agentID}/feedback"
response = requests.get(url)
print(response.text)[
{
"agent_id": "<string>",
"applied": true,
"context_snapshot": {},
"conversation_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"human_correction": "<string>",
"id": "<string>",
"improvement_score": 123,
"organization_id": "<string>",
"original_response": "<string>",
"reviewed": true,
"run_id": "<string>",
"applied_at": "2023-11-07T05:31:56Z",
"reviewed_at": "2023-11-07T05:31:56Z",
"reviewed_by": "<string>"
}
]{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}